<?php

/**
 * @author Gabriel <anhaia.gabriel@email.com>
 */
class Paciente extends CI_Controller
{
    public function index()
    {
        $this->auth->check(['medico','atendente']);
        $this->load->model('Paciente_model');
        $pacientes = $this->Paciente_model->find();

        $this->view('pacientes.index', [
            'pacientes' => $pacientes
        ]);
    }

    public function registrar()
    {
        $this->auth->check(['atendente']);
        $this->load->model([
            'Endereco_model',
            'Paciente_model',
            'Usuario_model'
        ]);

        if (!empty($_POST)) {
            $idAddress = $this->Endereco_model->insert([
                'rua' => $_POST['rua'],
                'bairro' => $_POST['bairro'],
                'estado' => $_POST['estado'],
                'cidade' => $_POST['cidade'],
                'cep' => $_POST['cep']
            ]);

            $idUser = $this->Usuario_model->insert([
                'id_endereco' => $idAddress,
                'email' => $_POST['email'],
                'senha' => md5($_POST['senha']),
                'nome' => $_POST['nome'],
                'tipo' => 'paciente'
            ]);

            $this->Paciente_model->insert([
                'nome_pai' => $_POST['nome_pai'],
                'nome_mae' => $_POST['nome_mae'],
                'data_nascimento' => $_POST['data_nascimento'],
                'sexo' => $_POST['sexo'],
                'id_usuario' => $idUser
            ]);

            redirect('paciente');
        }

        $this->view('pacientes.register');
    }

    public function deletar($id)
    {
        $this->auth->check(['atendente']);
        $this->load->model([
            'Paciente_model',
            'Endereco_model',
            'Usuario_model'
        ]);

        $paciente = $this->Paciente_model->find($id);

        $this->Paciente_model->delete($id);
        $this->Endereco_model->delete($paciente->id_endereco);
        $this->Usuario_model->delete($paciente->id_usuario);
        redirect('paciente');
    }
}